### Method

# Gtk.TreeModel.get_flags

#### Declaration [src]

    GtkTreeModelFlags
    gtk_tree_model_get_flags (
      GtkTreeModel* tree_model
    )

#### Description [src]

Returns a set of flags supported by this interface.

The flags are a bitwise combination of `GtkTreeModelFlags`. The flags supported should not change during the lifetime of the `tree_model`.

#### Return value

Returns: `GtkTreeModelFlags`
the flags supported by this interface